//////////
// Popravki v originalni izvorni kodi:
// 1.	Dodana podpora za operacijski sistem Windows 95.
// 2.	Dodano je stikalo za prevajanje omejene ali polne razliice.
// 3.	Dodano je stikalo za prevajanje s ali brez spremenljivke freeipa, ki vkljui
//		poseben nain izpisa podatkov. Monost freeipa je bila zakodirana na eljo
//		uporabnika Teda Creedona iz firme Mentor Graphics.
// 4.	Dodan je define PORT_H_INCLUDED. Ta makro naj se preverja v vseh datotekah,
//		ki uporabljajo razna stikala za preklapljanje med razlinimi naini
//		prevajanja. Tako enostavno preverimo, ali je stikalo v doloeni datoteki
//		upotevano ali ne.
// Avtor: Janez Puhan
//////////
// 4.	Added support for linux and solaris.
// Author: Arpad Burmen
//////////

/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
**********/

#ifndef PORT_H_INCLUDED	// Za preverjanje stikal.
#define PORT_H_INCLUDED
#endif
// Za prevajanje omejene razliice mora biti makro LITE_VERSION definiran.
#ifndef LITE_VERSION
#define LITE_VERSION
#endif
// Za prevajanje s spremenljivko freeipa mora biti makro FREEIPA definiran.
#ifndef FREEIPA
// #define FREEIPA
#endif

/*
 *  Operating System
 */

#ifdef aix
#  include "os_aix.h"
#  define CONFIGURED
#endif

#ifdef bsd
#  include "os_bsd.h"
#  define CONFIGURED
#endif

#ifdef ultrix
#  include "os_ultrx.h"
#  define CONFIGURED
#endif

#ifdef sun
#  include "os_sun.h"
#  define CONFIGURED
#endif

#ifdef hpux
#  include "os_hpux.h"
#  define CONFIGURED
#endif

#ifdef sequent
#  include "os_dynix.h"
#  define CONFIGURED
#endif

#ifdef sgi
#  include "os_sysv.h"
#  define CONFIGURED
#endif

#ifdef ipsc
#  include "os_ipsc.h"
#  define CONFIGURED
#endif

#ifdef MSDOS
#  include "os_msdos.h"
#  define CONFIGURED
#endif

#ifdef WIN32	// Podpora za operacijski sistem Windows 95.
#include "os_win32.h"
#define CONFIGURED
#endif

#ifdef NeXT
#  include "os_bsd.h"
#  define CONFIGURED
#endif

#ifdef THINK_C
#  include "os_mac.h"
#  define CONFIGURED
#endif

#ifdef alpha_osf
#  include "os_osf.h"
#  define CONFIGURED
#endif

#ifdef linux	// Added by Arpad Burmen.
#  include "os_linux.h"
#  define CONFIGURED
#endif

#ifdef lnxqt	// Added by Arpad Burmen.
#  include "os_lnxqt.h"
#  define CONFIGURED
#endif

#ifdef solqt	// Added by Arpad Burmen.
#  include "os_solqt.h"
#  define CONFIGURED
#endif


#ifndef CONFIGURED

error error error error

Operating system type unknown

error error error error

#endif
